Debian Bug report logs - #616107
lynx: segfault (after usage info) on -restrictions all

version graph

Package: lynx; Maintainer for lynx is Atsuhito KOHDA <kohda@debian.org>; Source for lynx is src:lynx-cur.

Reported by: Jason Woofenden <jason@jasonwoof.com>

Date: Wed, 2 Mar 2011 15:21:02 UTC

Severity: minor

Tags: fixed-upstream

Found in version lynx-cur/2.8.8dev.8-1

Fixed in version lynx-cur/2.8.8dev.14-1

Done: Atsuhito KOHDA <kohda@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Atsuhito KOHDA <kohda@debian.org>:
Bug#616107; Package lynx. (Wed, 02 Mar 2011 15:21:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jason Woofenden <jason@jasonwoof.com>:
New Bug report received and forwarded. Copy sent to Atsuhito KOHDA <kohda@debian.org>. (Wed, 02 Mar 2011 15:21:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jason Woofenden <jason@jasonwoof.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: lynx: segfault (after usage info) on -restrictions all
Date: Wed, 02 Mar 2011 10:19:20 -0500
Package: lynx
Version: 2.8.8dev.8-1
Severity: minor

I didn't realize just how wrong the commandline argument syntax for
lynx was, and tried this:

lynx -dump index.html -restrictions all

Which resulted in lynx displaying usage info (same as lynx -h) and
then lynx segfaulted. Happens every time for me. Doesn't seem to
depend on any particular html file, and even behaves the same if
there is no html file argument. lynx behaves correctly if I replace
that space between "restrictions" and "all" with an equals. Same
result with this simpler incantation:

lynx -restrictions all

Printing the usage list is great, my only issue is the segfault
after.

I set this to minor, since lynx manages to do the write thing
before segfaulting.

I'm hoping this is easy for you to reproduce, if not, let me know
and I can make a backtrace.

Thanks,   - Jason


-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)

Kernel: Linux 2.6.37-1-686-bigmem (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages lynx depends on:
ii  lynx-cur                    2.8.8dev.8-1 Text-mode WWW Browser with NLS sup

lynx recommends no packages.

lynx suggests no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Atsuhito KOHDA <kohda@debian.org>:
Bug#616107; Package lynx. (Thu, 03 Mar 2011 00:39:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Dickey <dickey@his.com>:
Extra info received and forwarded to list. Copy sent to Atsuhito KOHDA <kohda@debian.org>. (Thu, 03 Mar 2011 00:39:03 GMT) Full text and rfc822 format available.

Message #10 received at 616107@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: Jason Woofenden <jason@jasonwoof.com>, 616107@bugs.debian.org
Cc: Atsuhito KOHDA <kohda@debian.org>
Subject: Re: Bug#616107: lynx: segfault (after usage info) on -restrictions all
Date: Wed, 2 Mar 2011 19:28:01 -0500 (EST)
On Wed, 2 Mar 2011, Jason Woofenden wrote:

> Package: lynx
> Version: 2.8.8dev.8-1
> Severity: minor
>
> I didn't realize just how wrong the commandline argument syntax for
> lynx was, and tried this:
>
> lynx -dump index.html -restrictions all
>
> Which resulted in lynx displaying usage info (same as lynx -h) and
> then lynx segfaulted. Happens every time for me. Doesn't seem to

thanks - I can reproduce this

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net




Added tag(s) fixed-upstream. Request was from Thomas Dickey <dickey@his.com> to control@bugs.debian.org. (Thu, 16 Aug 2012 09:09:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Atsuhito KOHDA <kohda@debian.org>:
Bug#616107; Package lynx. (Thu, 16 Aug 2012 10:12:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to dickey@his.com:
Extra info received and forwarded to list. Copy sent to Atsuhito KOHDA <kohda@debian.org>. (Thu, 16 Aug 2012 10:12:05 GMT) Full text and rfc822 format available.

Message #17 received at 616107@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: 616107@bugs.debian.org
Cc: 616107-submitter@bugs.debian.org
Subject: re: #616107 lynx: segfault (after usage info) on -restrictions all
Date: Thu, 16 Aug 2012 05:05:52 -0400
[Message part 1 (text/plain, inline)]
fixed in 2.8.8dev.13

-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net
[signature.asc (application/pgp-signature, inline)]

Message sent on to Jason Woofenden <jason@jasonwoof.com>:
Bug#616107. (Thu, 16 Aug 2012 10:12:24 GMT) Full text and rfc822 format available.

Reply sent to Atsuhito KOHDA <kohda@debian.org>:
You have taken responsibility. (Thu, 23 Aug 2012 07:51:06 GMT) Full text and rfc822 format available.

Notification sent to Jason Woofenden <jason@jasonwoof.com>:
Bug acknowledged by developer. (Thu, 23 Aug 2012 07:51:07 GMT) Full text and rfc822 format available.

Message #25 received at 616107-close@bugs.debian.org (full text, mbox):

From: Atsuhito KOHDA <kohda@debian.org>
To: 616107-close@bugs.debian.org
Subject: Bug#616107: fixed in lynx-cur 2.8.8dev.14-1
Date: Thu, 23 Aug 2012 07:48:04 +0000
Source: lynx-cur
Source-Version: 2.8.8dev.14-1

We believe that the bug you reported is fixed in the latest version of
lynx-cur, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 616107@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Atsuhito KOHDA <kohda@debian.org> (supplier of updated lynx-cur package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 23 Aug 2012 12:00:21 +0900
Source: lynx-cur
Binary: lynx-cur lynx-cur-wrapper lynx
Architecture: source all i386
Version: 2.8.8dev.14-1
Distribution: unstable
Urgency: low
Maintainer: Atsuhito KOHDA <kohda@debian.org>
Changed-By: Atsuhito KOHDA <kohda@debian.org>
Description: 
 lynx       - Text-mode WWW Browser (transitional package)
 lynx-cur   - Text-mode WWW Browser with NLS support (development version)
 lynx-cur-wrapper - Wrapper for lynx-cur (transitional package)
Closes: 616107 666213 681214
Changes: 
 lynx-cur (2.8.8dev.14-1) unstable; urgency=low
 .
   * New Upstream Release.
    - correct formatting of large file-sizes in directory listing
      (Closes: #666213)
    - fix an unbounded loop in restrictions_fun() which could cause a core dump
      (Closes: #616107)
    - limit downloaded files by Content-Length if any, to match behavior of IE,
      Firefox and some other browsers; (Closes: #681214)
Checksums-Sha1: 
 30658a5594041de9e96b40339b05c140e7a0f1e2 1290 lynx-cur_2.8.8dev.14-1.dsc
 96f91e1457578122d09bdf2d417a24b42654e3f0 3528793 lynx-cur_2.8.8dev.14.orig.tar.gz
 80e9d5021bdc9de4afeecda10bd1e9c0812ea7c0 31944 lynx-cur_2.8.8dev.14-1.diff.gz
 7fe15f70149d772313f3ca1860933dbeba5b4ef0 223840 lynx-cur-wrapper_2.8.8dev.14-1_all.deb
 38ab600ea05e40c522de4550c16eb10bdcb30888 224210 lynx_2.8.8dev.14-1_all.deb
 0e3afc9ea76016cf08d2b0ab3327f4887e2ada3b 2217190 lynx-cur_2.8.8dev.14-1_i386.deb
Checksums-Sha256: 
 9ba7a8e279bea21296caf0122c7621d95dfd0dc620eb6238ca20a53aecc56cd5 1290 lynx-cur_2.8.8dev.14-1.dsc
 4f211530337acc1126c583fb92f9366848ab605f79f086d46d885befb5e669a9 3528793 lynx-cur_2.8.8dev.14.orig.tar.gz
 46ea417c0c35761afc807122d20a067490f14cf927dbcb8efe061a79afaad417 31944 lynx-cur_2.8.8dev.14-1.diff.gz
 82a7142f543c33886d1599ef5374e66ed1421452068008fa028e9dadb9e93e28 223840 lynx-cur-wrapper_2.8.8dev.14-1_all.deb
 4b6581f83ae23db9c2cb1a1d64252f094e7fb0512ae88e744c033affe323ec3e 224210 lynx_2.8.8dev.14-1_all.deb
 309474bb0e946639694782fddd448f92d68c4b157daed028d4578e0d13a3e625 2217190 lynx-cur_2.8.8dev.14-1_i386.deb
Files: 
 13ae4b46da76438a88f39fa9cc191215 1290 web extra lynx-cur_2.8.8dev.14-1.dsc
 5012c6ae2747fe4f8b727198cd385949 3528793 web extra lynx-cur_2.8.8dev.14.orig.tar.gz
 1c104c339f603f178330eddb48c85b6d 31944 web extra lynx-cur_2.8.8dev.14-1.diff.gz
 676faced70f8d7b1ed8635ce83348948 223840 oldlibs extra lynx-cur-wrapper_2.8.8dev.14-1_all.deb
 a2291ecfe7ade8d2e54ac45e23a215f8 224210 oldlibs extra lynx_2.8.8dev.14-1_all.deb
 bc6644c45d503111e3a8e3a9f6521b68 2217190 web extra lynx-cur_2.8.8dev.14-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlA1zCMACgkQ1IXdL1v6kOxWSgCcCCISf5Ar5nen1vOzRlC6xMv3
z5gAnjbwCiu/Z0K3AqpTlPPc0bO62kSS
=3i7K
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 13 Dec 2013 07:25:31 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 00:26:33 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.